LinkedIn 人员搜索
curl --request POST \
--url https://api.socq.ai/v1/linkedin/search-people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/linkedin/search-people"
payload = { "urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>']})
};
fetch('https://api.socq.ai/v1/linkedin/search-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}LinkedIn 人员搜索
搜索并标准化公开的 LinkedIn 人员数据。
POST
/
v1
/
linkedin
/
search-people
LinkedIn 人员搜索
{
"urls": [
"https://www.linkedin.com/search/results/people/?keywords=Aakash%20Gupta"
]
}
结果字段
任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化,但不会推断或补充来源未提供的值。如需请求更小的字段集,MCP 查询请使用fields,Typed 工具请使用 _result_fields,CLI 请使用 --result-fields。即使值为 null,已声明的字段仍会保留。
| 字段 | 类型 | 可空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
username | string | 是 | 账号的公开用户名或账号标识。 |
name | string | 是 | 账号或主页的显示名称。 |
text | string | 是 | 账号或主页的简介。 |
avatar_url | string | 是 | 账号头像图片的地址。 |
cover_url | string | 是 | 封面图片的地址。 |
website | string | 是 | 账号、公司或广告主关联的网站。 |
is_verified | boolean | 是 | 账号是否已通过平台认证。 |
is_private | boolean | 是 | 账号是否为私密账号。 |
location | object | 是 | 结果关联的地理位置信息。 |
location.name | string | 是 | 便于阅读的地点名称。 |
location.city | string | 是 | 城市名称。 |
location.region | string | 是 | 地区、州或省份名称。 |
location.country | string | 是 | 国家或地区名称或代码。 |
location.latitude | number | 是 | 十进制度格式的纬度。 |
location.longitude | number | 是 | 十进制度格式的经度。 |
metrics | object | 是 | 结果项可获得的计数和度量数据。 |
metrics.followers_count | integer | 是 | 粉丝数量。 |
metrics.following_count | integer | 是 | 关注的账号数量。 |
metrics.posts_count | integer | 是 | 帖子数量,或与趋势关联的帖子数量。 |
任务完成响应
{
"code": 200,
"data": {
"task_id": "UI7YV8UO9CR4PS4S",
"status": "succeeded",
"public_id": "linkedin/search-people",
"result_count": 50,
"credits_amount": 50,
"results": {
"limit": 1,
"next_cursor": "MTAzMDM",
"has_more": true,
"schema_id": "account",
"schema_version": "1.0",
"items": [
{
"id": null,
"platform": "linkedin",
"resource": "search-people",
"type": "profile",
"url": "https://in.linkedin.com/in/aakash-gupta-5ky",
"published_at": null,
"collected_at": "2026-08-11T03:03:36.539782Z",
"username": null,
"name": "Aakash Gupta",
"text": null,
"avatar_url": null,
"cover_url": null,
"website": null,
"is_verified": null,
"is_private": null,
"location": null,
"metrics": null
}
]
}
}
}
与 MCP 和 CLI 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/linkedin/search-people |
| Compact MCP | socq_execute 与 endpoint: "linkedin/search-people" |
| Typed MCP | socq_linkedin_search_people |
| CLI | socq linkedin search-people |
task_id。轮询任务接口以读取标准化结果。⌘I

